For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/simulations/llms-full.txt.

# Start a simulation

POST https://api.synthflow.ai/v2/simulations
Content-Type: application/json

Start a new simulation using a simulation case.

Reference: https://docs.synthflow.ai/api-reference/platform-api/simulations/start-simulation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /simulations:
    post:
      operationId: start-simulation
      summary: Start a simulation
      description: Start a new simulation using a simulation case.
      tags:
        - ''
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/start-simulation_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Start-simulationRequestBadRequestError'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Start-simulationRequestNotFoundError'
        '422':
          description: '422'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Start-simulationRequestUnprocessableEntityError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulationCreateIn'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    SimulationCreateIn:
      type: object
      properties:
        simulation_case_id:
          type: string
          format: uuid
        simulation_session_id:
          type:
            - string
            - 'null'
          format: uuid
        target_agent_id:
          type: string
          format: uuid
        custom_variables:
          type: object
          additionalProperties:
            description: Any type
      required:
        - simulation_case_id
        - target_agent_id
      description: Input payload to start a simulation.
      title: SimulationCreateIn
    status:
      type: string
      description: Whether the request was successful.
      title: status
    SimulationReadOutCallSuccessType:
      type: string
      enum:
        - all
        - any
      title: SimulationReadOutCallSuccessType
    SimulationReadOutStatus:
      type: string
      enum:
        - in-progress
        - completed
        - failed
      title: SimulationReadOutStatus
    SimulationErrorInfo:
      type: object
      properties:
        message:
          type: string
        code:
          type: integer
        type:
          type: string
      required:
        - message
        - code
        - type
      description: Error information for failed simulations.
      title: SimulationErrorInfo
    TimelineItem:
      type: object
      properties:
        sender_type:
          type:
            - string
            - 'null'
        value:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        timestamp_datetime:
          type:
            - string
            - 'null'
          format: date-time
        timestamp:
          type:
            - number
            - 'null'
          format: double
      description: Timeline event for a simulation call.
      title: TimelineItem
    SimulationSuccessCriteriaEvaluation:
      type: object
      properties:
        success:
          type: boolean
        reasoning:
          type: string
      required:
        - success
        - reasoning
      description: Evaluation result for a single success criterion.
      title: SimulationSuccessCriteriaEvaluation
    SimulationSuccessCriteriaAnalysis:
      type: object
      properties:
        success:
          type: boolean
        evaluations:
          type: array
          items:
            $ref: '#/components/schemas/SimulationSuccessCriteriaEvaluation'
      required:
        - success
        - evaluations
      description: Summary of the success criteria evaluation results.
      title: SimulationSuccessCriteriaAnalysis
    SimulationReadOut:
      type: object
      properties:
        simulation_id:
          type: string
          format: uuid
        simulation_session_id:
          type: string
          format: uuid
        simulation_case_id:
          type: string
          format: uuid
        simulation_case_name:
          type:
            - string
            - 'null'
        simulation_case_prompt:
          type:
            - string
            - 'null'
        success_criteria:
          type:
            - array
            - 'null'
          items:
            type: string
        call_success_type:
          oneOf:
            - $ref: '#/components/schemas/SimulationReadOutCallSuccessType'
            - type: 'null'
        persona_agent_id:
          type:
            - string
            - 'null'
          format: uuid
        persona_phone_number:
          type:
            - string
            - 'null'
        target_agent_id:
          type: string
          format: uuid
        agent_name:
          type:
            - string
            - 'null'
        agent_avatar_url:
          type:
            - string
            - 'null'
        target_phone_number:
          type:
            - string
            - 'null'
        target_call_id:
          type:
            - string
            - 'null'
        custom_variables:
          type:
            - object
            - 'null'
          additionalProperties:
            description: Any type
        status:
          $ref: '#/components/schemas/SimulationReadOutStatus'
        workspace_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        error_info:
          oneOf:
            - $ref: '#/components/schemas/SimulationErrorInfo'
            - type: 'null'
        recording_url:
          type:
            - string
            - 'null'
        timeline:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/TimelineItem'
        success_criteria_analysis:
          oneOf:
            - $ref: '#/components/schemas/SimulationSuccessCriteriaAnalysis'
            - type: 'null'
      description: Simulation details.
      title: SimulationReadOut
    start-simulation_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: '#/components/schemas/SimulationReadOut'
      title: start-simulation_Response_200
    Start-simulationRequestBadRequestError:
      type: object
      properties: {}
      title: Start-simulationRequestBadRequestError
    Start-simulationRequestNotFoundError:
      type: object
      properties: {}
      title: Start-simulationRequestNotFoundError
    Start-simulationRequestUnprocessableEntityError:
      type: object
      properties: {}
      title: Start-simulationRequestUnprocessableEntityError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/simulations"

payload = {
    "simulation_case_id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
    "target_agent_id": "1726005822670-239735712159542050",
    "custom_variables": { "customer_name": "John Doe" }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/simulations"

	payload := strings.NewReader("{\n  \"simulation_case_id\": \"9ad09ad3-9c22-441e-ae35-c05016a09786\",\n  \"target_agent_id\": \"1726005822670-239735712159542050\",\n  \"custom_variables\": {\n    \"customer_name\": \"John Doe\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/simulations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"simulation_case_id\": \"9ad09ad3-9c22-441e-ae35-c05016a09786\",\n  \"target_agent_id\": \"1726005822670-239735712159542050\",\n  \"custom_variables\": {\n    \"customer_name\": \"John Doe\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.synthflow.ai/v2/simulations")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"simulation_case_id\": \"9ad09ad3-9c22-441e-ae35-c05016a09786\",\n  \"target_agent_id\": \"1726005822670-239735712159542050\",\n  \"custom_variables\": {\n    \"customer_name\": \"John Doe\"\n  }\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/simulations");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"simulation_case_id\": \"9ad09ad3-9c22-441e-ae35-c05016a09786\",\n  \"target_agent_id\": \"1726005822670-239735712159542050\",\n  \"custom_variables\": {\n    \"customer_name\": \"John Doe\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "simulation_case_id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
  "target_agent_id": "1726005822670-239735712159542050",
  "custom_variables": ["customer_name": "John Doe"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/simulations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```